Skip to content

Customer item mappings

API reference

A customer's own article codes mapped to your article numbers. Composite key customer_number + customer_item_number; the referenced customer and product must exist. Accepts the sync key.

List customer item mappings

GET/customer-product/listintegration or sync key

List customer product mappings with pagination and optional filters.

Parameters

NameInTypeRequiredDescription
pagequeryintegerPage number Default 1. Min 1.
sizequeryintegerItems per page Default 100. Min 1. Max 1000.
customer_numberquerystring | nullFilter by customer number
customer_item_numberquerystring | nullFilter by customer item number
item_numberquerystring | nullFilter by supplier item number
language_codequerystring | nullFilter by language code

Responses

StatusDescriptionBody
200Successful ResponseCustomerProductListResponse
404Resource not foundErrorResponse
422Validation ErrorHTTPValidationError
bash
curl -X GET "https://acme.aiotic.ai/customer-product/list?page=1&size=100&customer_number=<customer_number>" -H "X-API-Key: $AIOTIC_API_KEY"
python
client.customer_products.list(customer_number="58931").items

Get a customer item mapping

GET/customer-product/{customer_number}/{customer_item_number}integration or sync key

Get a specific customer product mapping by its composite key.

Parameters

NameInTypeRequiredDescription
customer_numberpathstringyesCustomer number
customer_item_numberpathstringyesCustomer's own item number

Responses

StatusDescriptionBody
200Successful ResponseCustomerProduct
404Resource not foundErrorResponse
422Validation ErrorHTTPValidationError
bash
curl -X GET "https://acme.aiotic.ai/customer-product/<customer_number>/<customer_item_number>" -H "X-API-Key: $AIOTIC_API_KEY"
python
client.customer_products.get("58931", "LT-ART-001")

Create or update a customer item mapping (upsert)

PUT/customer-product/{customer_number}/{customer_item_number}integration or sync key

Tells AIOTIC that when customer customer_number orders their article customer_item_number, it means your article item_number (language_code). Both the customer and the product must already exist (404 otherwise).

Parameters

NameInTypeRequiredDescription
customer_numberpathstringyesCustomer number
customer_item_numberpathstringyesCustomer's own item number

Request bodyapplication/json

Fields accepted when creating or updating a customer item mapping.

FieldTypeRequiredDescription
item_numberstringyesSupplier product item number
language_codestringyesProduct language code
created_atstringWhen this mapping was created in AIOTIC Format: date-time.

Responses

StatusDescriptionBody
202Successful ResponseCustomerProduct
404Resource not foundErrorResponse
422Validation ErrorHTTPValidationError
bash
curl -X PUT "https://acme.aiotic.ai/customer-product/<customer_number>/<customer_item_number>" -H "X-API-Key: $AIOTIC_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"item_number":"string","language_code":"string","created_at":"2026-03-14T10:30:00Z"}'
python
client.customer_products.upsert("58931", "LT-ART-001", {"item_number": "PROD-001", "language_code": "nl"})
engine.apply(ChangeEvent.mapping_upsert("58931", "LT-ART-001", item_number="PROD-001", language_code="nl"))

Delete a customer item mapping

DELETE/customer-product/{customer_number}/{customer_item_number}integration or sync key

Delete a customer product mapping.

Parameters

NameInTypeRequiredDescription
customer_numberpathstringyesCustomer number
customer_item_numberpathstringyesCustomer's own item number

Responses

StatusDescriptionBody
204Successful Response
404Resource not foundErrorResponse
422Validation ErrorHTTPValidationError
bash
curl -X DELETE "https://acme.aiotic.ai/customer-product/<customer_number>/<customer_item_number>" -H "X-API-Key: $AIOTIC_API_KEY"
python
client.customer_products.delete("58931", "LT-ART-001")

Documentation revision 3 · Published 8 September 2026 · commit 6862d5e. Verified against AIOTIC API v1.0.0. AIOTIC is a product of DevOps Company.